\name{TVTB-NEWS}
\title{NEWS: The VCF Tool Box}

\section{Changes in version 1.0.2 2016-10-23}{
\subsection{Minor changes}{
\itemize{
\item Bug fix. Release only requires R version 3.3.1.
}
}
}

\section{Changes in version 1.0.1 2016-10-23}{
\subsection{Minor changes}{
\itemize{
\item Merged devel branch version 1.1.2.
\item Travis CI uses release version of \emph{R} and \emph{Bioconductor}.
}
}
}

\section{Changes in version 1.1.2 2016-10-21}{
\subsection{Minor changes}{
\itemize{
\item README indicates status on BioC-release, BioC-devel, and Travis CI.
}
}
}

\section{Changes in version 1.1.1 2016-10-21}{
\subsection{Minor changes}{
\itemize{
\item Updates to \code{README}: weblinks, installation, unit tests.
\item Branches tracked by Travis CI.
\item Coverage: exclude \code{AllClasses.R}, \code{tSVE.R}.
\item Four-space indents in \code{DESCRIPTION}.
}
}
}

\section{Changes in version 0.99.9 2016-10-14}{
\subsection{Minor changes}{
\itemize{
\item Fixed outdated information in \emph{Introduction} vignette.
}
}
}

\section{Changes in version 0.99.8 2016-10-12}{
\subsection{Minor changes}{
\itemize{
\item Set vignette output format to \code{BiocStyle::html_document2}.
}
}
}

\section{Changes in version 0.99.7 2016-10-12}{
\subsection{Minor changes}{
\itemize{
\item Fixed a closign bracket in \code{NEWS} file.
}
}
}

\section{Changes in version 0.99.6 2016-10-12}{
\subsection{Experimental changes}{
\itemize{
\item
    Replaced \code{BiocStyle::pdf_document2() by
    \code{BiocStyle::pdf_document(); the former fails at the \code{pandoc}
    step of vignette production, the latter does not.
}
}
}
}
}

\section{Changes in version 0.99.5 2016-10-12}{
\subsection{Bug fix}{
\itemize{
\item Fixed \code{Collate:} field of the \code{DESCRIPTION} file.
}
}
}

\section{Changes in version 0.99.4 2016-10-12}{
\subsection{Experimental changes}{
\itemize{
\item
    Reverted changes applied in version 0.99.3. \code{BiocParallel} does not
    seem to be causing the build error on Windows Server.
}
}
}

\section{Changes in version 0.99.3 2016-10-12}{
\subsection{Experimental changes}{
\itemize{
\item
    Disabled \code{BiocParallel} code to see if it resolves build errors on the
    \emph{Bioconductor} Windows Server. Note that the documentation was not yet
    updated to reflect this experimental change; this is intended to
    facilitate code reversion---or alternatively document the change---in
    the next commit.
}
}
}

\section{Changes in version 0.99.2 2016-10-11}{
\subsection{Bug fixes}{
\itemize{
\item Use \code{suffix} accessor in \code{add*Frequencies} methods.
}
}
}

\section{Changes in version 0.99.1 2016-10-10}{
\subsection{Major changes}{
\itemize{
\item
    New dedicated \code{Genotypes} class to store homozygote reference,
    heterozygote, and homozygote alternate genotype codes,
    along with the suffixes that define the INFO keys
    used to store their respective data in the VCF object.
\item
    Removed families of methods \code{tabulate*} and \code{density*} from the
    \code{NAMESPACE}. The features may be revisited in the future.
    The associated code and documentation was saved in the \code{inst/sandbox}
    subfolder for future reference.
\item
    New slot \code{svp} in \code{TVTBparam} class to store \code{ScanVcfParam}
    objects. New associated accessor methods.
    Moreover, \code{TVTBparam} may be coerced to \code{ScanVcfParam}.
\item
    New signatures for method \code{readVcf} that supports
    \code{param=TVTBparam}, and optional phenotypes.
    The method stores \code{TVTBparam} in the \code{metadata} slot of
    the \code{VCF} object, and phenotypes using the \code{colData} accessor.
\item
    \code{TVTBparam} are no longer an argument of downstream methods; instead,
    they must be stored in \code{metadata(vcf)[["TVTBparam"]]}
}
}
\subsection{Minor changes}{
\itemize{
\item
    \code{hRef} and \code{hAlt} accessors renamed to \code{ref}and \code{alt},
    respectively.
\item
    \code{suffix} accessor to returned named \code{character} vector
    for classes \code{Genotypes} and \code{TVTBparam}.
\item
    Removed functions relevant only to the \emph{Shiny} application from the
    \code{NAMESPACE} (\code{getEdb}, \code{EnsDbFilter}, \code{chr2file}).
\item
    \code{VcfFilterRules} can also store instances of the parent
    \code{FilterRules} class.
\item
    Defined default return value for accessors \code{vep} and \code{type},
    to avoid unnecessary \code{switch} statements.
\item
    Simplified code of inherited methods following updates to the relevant
    packages (\emph{e.g.} \code{S4Vectors}).
\item
    Better respect of coding standards: removed superfluous usage of
    explicit argument naming, removed superfluous \code{initialize} methods.
\item
    Man pages, vignettes, unit tests and \emph{Shiny} application updated
    to reflect changes to the package.
}
}
}

\section{Changes in version 0.99.0 2015-09-15}{
\subsection{New features}{
\itemize{
\item
    First release submitted to the Bioconductor review process
    See \code{DESCRIPTION} file for details.
}
}
}
